## RENAME COLUMN-Anweisung (rename_column_statement)

Eine RENAME COLUMN-Anweisung (rename_column_statement) ändert den Namen einer Tabellenspalte.

### Syntax

<rename_column_statement> ::=
RENAME COLUMN <table_name>.<column_name> TO <column_name>

### Erläuterung

Die angegebene Tabelle muss eine Basis- oder View-Tabelle sein.

Wenn im Tabellennamen kein Schema angegeben ist, wird implizit das aktuelle Schema angenommen.

Die angegebene Tabellenspalte erhält einen neuen Namen. Wurde der Spaltenname einer View-Tabelle (die mit dieser Tabelle definiert wurde) aus dem Spaltennamen der Basistabelle abgeleitet, so wird in der View-Tabelle der alte Spaltenname durch den neuen ersetzt. Falls der neue Spaltenname bereits als Spaltenname der View-Tabelle existiert, scheitert die RENAME COLUMN-Anweisung.